## rock-master-20.01-models-environments-area1 0.20190805

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
install(FILES ./CMakeLists.txt DESTINATION share/rock/models/environments/area1/.)
install(DIRECTORY ./thumbnails DESTINATION share/rock/models/environments/area1/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./thumbnails/area1.png DESTINATION share/rock/models/environments/area1/./thumbnails)
install(FILES ./thumbnails/area1_256.png DESTINATION share/rock/models/environments/area1/./thumbnails)
install(FILES ./LICENSE DESTINATION share/rock/models/environments/area1/.)
install(DIRECTORY ./mars_scene DESTINATION share/rock/models/environments/area1/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./mars_scene/plane.obj DESTINATION share/rock/models/environments/area1/./mars_scene)
install(FILES ./mars_scene/area1.scene DESTINATION share/rock/models/environments/area1/./mars_scene)
install(FILES ./mars_scene/cube.obj DESTINATION share/rock/models/environments/area1/./mars_scene)
install(FILES ./mars_scene/sphere.obj DESTINATION share/rock/models/environments/area1/./mars_scene)
install(FILES ./mars_scene/walls2.jpg DESTINATION share/rock/models/environments/area1/./mars_scene)
install(FILES ./mars_scene/walls.jpg DESTINATION share/rock/models/environments/area1/./mars_scene)
install(FILES ./mars_scene/ground.jpg DESTINATION share/rock/models/environments/area1/./mars_scene)
install(FILES ./README.md DESTINATION share/rock/models/environments/area1/.)

=== debian/changelog ===
rock-master-20.01-models-environments-area1 (0.20190805-1~bionic) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-simulation/area1.git
  * branch: refs/heads/master
  * commit: 16567dcea468f953bbfdddd4e1d8463900dccf23
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sat, 08 Feb 2020 16:37:33 +0100

=== debian/control ===
Source: rock-master-20.01-models-environments-area1
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-models-environments-area1
Architecture: any
Depends: ${shlibs:Depends}
Description: no documentation available for package 'models/environments/area1' in its manifest.xml file
 no documentation available for package 'models/environments/area1' in its manifest.xml file

=== debian/rules ===
#!/usr/bin/make -f

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
export DEB_BUILD_OPTIONS=nocheck

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby --version)
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master2001_install_dir = /opt/rock/master-20.01
env_setup =  PATH=$(master2001_install_dir)/bin:$(PATH)
env_setup += HOME=/home/ 
env_setup += RUBYLIB=$(master2001_install_dir)/$(rockruby_libdir):$(master2001_install_dir)/$(rockruby_archdir):$(master2001_install_dir)/lib/ruby/vendor_ruby/standard:$(master2001_install_dir)/lib/ruby/vendor_ruby/core:$(master2001_install_dir)/lib/ruby/vendor_ruby:$(RUBYLIB)
env_setup += PKG_CONFIG_PATH=$(master2001_install_dir)/lib/pkgconfig:$(master2001_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$(PKG_CONFIG_PATH)
env_setup += Rock_DIR=$(master2001_install_dir)/share/rock/cmake:$(Rock_DIR)
env_setup += LD_LIBRARY_PATH=$(master2001_install_dir)/lib:$(master2001_install_dir)/lib/$(arch):$(LD_LIBRARY_PATH)
env_setup += CMAKE_PREFIX_PATH=$(master2001_install_dir):$(CMAKE_PREFIX_PATH)
env_setup += OROGEN_PLUGIN_PATH=$(master2001_install_dir)/share/orogen/plugins:$(OROGEN_PLUGIN_PATH)
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master2001_install_dir)/lib:$(master2001_install_dir)/lib/$(arch):
rock_install_dir=/opt/rock/master-20.01
# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk
extra_lib_dir=$(shell pwd)/debian/rock-master-20.01-models-environments-area1$(rock_install_dir)/lib
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (not that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs)

rock_doc_install_dir=$(rock_install_dir)/share/doc/rock-master-20.01-models-environments-area1

pre-build::
	echo "Detected:"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"

	#echo "Current directory:"
	#find .

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
CMAKE = $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
include /usr/share/cdbs/1/class/cmake.mk

# END IMPORTER
# ##########################################
#


# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml see post-configure actions
# replace all entries of -I with -I and -isystem in order to 
#   (a) guarantee that pkgconfig can still knowns the include directory (-I)
#   (b) the include directory is actually accounted for as system include directory (-isystem)
# Account for the fact, that configure is called multiple times e.g. revert changes first, then reapply
configure/rock-master-20.01-models-environments-area1::
	echo "Adapt -I to -isystem in pkgconfig files:"
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Adapting {}; sed -i 's#\(\"\?\)-isystem[^ ]\+\1##g; s#\(\"\?\)-I\([^ ]\+\)\1#\1-I\2\1 \1-isystem\2\1#g; s#[ ]\+# #g' {}; cat {};" \;
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Cleanup {}; sed -i 's#-isystem/usr/include # #g' {}; sed -i 's#-I/usr/include # #g' {}; cat {}" \;

###########################################
# DOCS


# END DOCS
###########################################
